alias ls='exa -al --color=always --group-directories-first'
alias cat='bat'

alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

alias grep="grep --exclude-dir={.bzr,CVS,.git,.hg,.svn} --color=auto"

alias sc-status="sudo systemctl status"
alias sc-start="sudo systemctl start"
alias sc-stop="sudo systemctl stop"
alias sc-reload="sudo systemctl reload"
alias sc-restart="sudo systemctl restart"
alias sc-enable="sudo systemctl enable"
alias sc-disable="sudo systemctl disable"
alias sc-daemon-reload="sudo systemctl daemon-reload"

alias duplHostKeys='cat ~/.ssh/known_hosts | egrep -v "mesh.eu|inetbone.net" | cut -d" " -f3 | sort | uniq -d'
alias tb="nc termbin.com 9999"

dotupdate () {
    pushd ~/.config/dotfiles &>/dev/null
    echo -n "Updating Dotfiles... "
    git pull &>/dev/null
    echo "done"
    popd &>/dev/null
}

themeupdate () {
    curl -fsSL https://starship.rs/install.sh | bash
}
